<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BiosClientServices Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d06/class_bios_client_services.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">BiosClientServices Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d5/d06/class_bios_client_services.html" title="BiosClientServices class provides individual online services.">BiosClientServices</a> class provides individual online services.  
 <a href="../../d5/d06/class_bios_client_services.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a1f3bba1b9dc1b92eca78fd5aa02c0f2f"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d06/class_bios_client_services.html#a1f3bba1b9dc1b92eca78fd5aa02c0f2f">BiosClientServices</a> ()</td></tr>
<tr class="separator:a1f3bba1b9dc1b92eca78fd5aa02c0f2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1a3a93be5b8b900b23fcf747a9ed487"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d06/class_bios_client_services.html#af1a3a93be5b8b900b23fcf747a9ed487">~BiosClientServices</a> ()</td></tr>
<tr class="separator:af1a3a93be5b8b900b23fcf747a9ed487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a269bcf8373e1e10c8f653f72dc820637"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/de2/class_bios_privacy_service.html">BiosPrivacyService</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d06/class_bios_client_services.html#a269bcf8373e1e10c8f653f72dc820637">GetPrivacyService</a> ()</td></tr>
<tr class="separator:a269bcf8373e1e10c8f653f72dc820637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a2f8cb3b8e7ef6e42c75db0b24908e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d1/d06/class_bios_social_service.html">BiosSocialService</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d06/class_bios_client_services.html#ae8a2f8cb3b8e7ef6e42c75db0b24908e">GetSocialService</a> ()</td></tr>
<tr class="separator:ae8a2f8cb3b8e7ef6e42c75db0b24908e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf3e09412eed1a4651aed4b91b68b998"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc9/class_bios_lobby_service.html">BiosLobbyService</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d06/class_bios_client_services.html#acf3e09412eed1a4651aed4b91b68b998">GetLobbyService</a> ()</td></tr>
<tr class="separator:acf3e09412eed1a4651aed4b91b68b998"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e8b73e1b416e2c8333666a6b41dba8b"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/d9e/class_bios_session_service.html">BiosSessionService</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d06/class_bios_client_services.html#a7e8b73e1b416e2c8333666a6b41dba8b">GetSessionService</a> ()</td></tr>
<tr class="separator:a7e8b73e1b416e2c8333666a6b41dba8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa719d77bf3092d3461019f291766ceac"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../df/dcf/class_bios_package_service.html">BiosPackageService</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d06/class_bios_client_services.html#aa719d77bf3092d3461019f291766ceac">GetPackageService</a> ()</td></tr>
<tr class="separator:aa719d77bf3092d3461019f291766ceac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/d06/class_bios_client_services.html" title="BiosClientServices class provides individual online services.">BiosClientServices</a> class provides individual online services. </p>
<p >Bohemia interactive online services (Bios), Client services API. Use the individual Get methods to access individual service providers. Do not store references to individual service providers, use the Get methods instead. Temporary storage in a function body is fine as long as the owning <a class="el" href="../../d5/d06/class_bios_client_services.html" title="BiosClientServices class provides individual online services.">BiosClientServices</a> object is referenced. Do not attempt to construct this object. It is currently provided by the engine. </p>

<p class="definition">Definition at line <a class="el" href="../../db/d13/_bios_client_services_8c_source.html#l00009">9</a> of file <a class="el" href="../../db/d13/_bios_client_services_8c_source.html">BiosClientServices.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1f3bba1b9dc1b92eca78fd5aa02c0f2f" name="a1f3bba1b9dc1b92eca78fd5aa02c0f2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f3bba1b9dc1b92eca78fd5aa02c0f2f">&#9670;&#160;</a></span>BiosClientServices()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void BiosClientServices::BiosClientServices </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d13/_bios_client_services_8c_source.html#l00011">11</a> of file <a class="el" href="../../db/d13/_bios_client_services_8c_source.html">BiosClientServices.c</a>.</p>

</div>
</div>
<a id="af1a3a93be5b8b900b23fcf747a9ed487" name="af1a3a93be5b8b900b23fcf747a9ed487"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1a3a93be5b8b900b23fcf747a9ed487">&#9670;&#160;</a></span>~BiosClientServices()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BiosClientServices::~BiosClientServices </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d13/_bios_client_services_8c_source.html#l00012">12</a> of file <a class="el" href="../../db/d13/_bios_client_services_8c_source.html">BiosClientServices.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acf3e09412eed1a4651aed4b91b68b998" name="acf3e09412eed1a4651aed4b91b68b998"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf3e09412eed1a4651aed4b91b68b998">&#9670;&#160;</a></span>GetLobbyService()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc9/class_bios_lobby_service.html">BiosLobbyService</a> BiosClientServices::GetLobbyService </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa719d77bf3092d3461019f291766ceac" name="aa719d77bf3092d3461019f291766ceac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa719d77bf3092d3461019f291766ceac">&#9670;&#160;</a></span>GetPackageService()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../df/dcf/class_bios_package_service.html">BiosPackageService</a> BiosClientServices::GetPackageService </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a269bcf8373e1e10c8f653f72dc820637" name="a269bcf8373e1e10c8f653f72dc820637"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a269bcf8373e1e10c8f653f72dc820637">&#9670;&#160;</a></span>GetPrivacyService()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d3/de2/class_bios_privacy_service.html">BiosPrivacyService</a> BiosClientServices::GetPrivacyService </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e8b73e1b416e2c8333666a6b41dba8b" name="a7e8b73e1b416e2c8333666a6b41dba8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e8b73e1b416e2c8333666a6b41dba8b">&#9670;&#160;</a></span>GetSessionService()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/d9e/class_bios_session_service.html">BiosSessionService</a> BiosClientServices::GetSessionService </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae8a2f8cb3b8e7ef6e42c75db0b24908e" name="ae8a2f8cb3b8e7ef6e42c75db0b24908e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8a2f8cb3b8e7ef6e42c75db0b24908e">&#9670;&#160;</a></span>GetSocialService()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d1/d06/class_bios_social_service.html">BiosSocialService</a> BiosClientServices::GetSocialService </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Services/<a class="el" href="../../db/d13/_bios_client_services_8c_source.html">BiosClientServices.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d06/class_bios_client_services.html">BiosClientServices</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
